package com.ruoyi.syzy.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.syzy.domain.BBusiWishUniversities;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesProfession;
import com.ruoyi.syzy.dto.UniversityDetailDTO;

/**
 * 院校库Service接口
 *
 * @author mingxue
 * @date 2021-07-29
 */
public interface IBBusiWishUniversitiesService {
    public List<BBusiWishUniversities> listMyByPage(String customerCode);
    /**
     * 查询院校库
     *
     * @param code 院校库
     * @return 院校库
     */
    public BBusiWishUniversities selectBBusiWishUniversitiesByCode(String code);
    public BBusiWishUniversities selectBBusiWishUniversitiesById(Long universityId);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesList(BBusiWishUniversities bBusiWishUniversities);
    public List<BBusiWishUniversitiesProfession> selectBBusiWishUniversitiesProfessionByCode(String collegeCode);

    /**
     * 查询院校库列表
     *
     * @param cond 条件
     * @return 院校库集合
     */
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesListSimpleByMap(Map cond);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesLocations(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesTypes(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesNatureTypes(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesFeatures(String entranceType);

    public List<BBusiWishUniversities> selectBBusiWishUniversitiesBxTypes(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesLevels(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesListSimple(BBusiWishUniversities bBusiWishUniversities);
    public List<BBusiWishUniversities> selectMajorWishUniversitiesListSimpleByMap(Map cond);
    public List<BBusiWishUniversities> selectMajorWishUniversitiesListSimpleByMap2(Map cond);

    /**
     * 修改院校库
     *
     * @param bBusiWishUniversities 院校库
     * @return 结果
     */
    public int updateBBusiWishUniversities(BBusiWishUniversities bBusiWishUniversities);
    public int updateCollect(Long id, Integer collect);
    /**
     * 院校详情数据
     *
     * @param code
     * @param year
     * @return
     */
    public UniversityDetailDTO detail(String code, Integer year);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesLocations2(String entranceType);
    public List<BBusiWishUniversities> selectBBusiWishUniversitiesLocations3(String location);
    public List<String> getLocations(String entranceType);
    public List<String> getTypes(String entranceType);
    public List<String> getNatureTypeCN(String entranceType);
    public List<String> getFeatures(String entranceType);
    public List<String> getBxTypes(String entranceType);
    public List<String> getLevels(String entranceType);

    /**
     * 新增院校库
     *
     * @param bBusiWishUniversities 院校库
     * @return 结果
     */
    public int insertBBusiWishUniversities(BBusiWishUniversities bBusiWishUniversities);

    /**
     * 删除院校库
     *
     * @param id 院校库主键
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesById(Long id);

    /**
     * 批量删除院校库
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesByIds(Long[] ids);

}
